#!/bin/sh

set -e

ciphers="					\
	AES128-GCM-SHA256			\
	AES256-GCM-SHA384			\
	AES256-SHA256				\
	AES256-SHA				\
	AES128-SHA256				\
	AES128-SHA		
	DHE-RSA-AES128-SHA		\
	DHE-RSA-AES256-SHA256		\
	DES-CBC3-SHA		\
	AES128-SHA		\
	ECDHE-RSA-DES-CBC3-SHA		\
	DHE-RSA-AES256-SHA		\
	AES256-SHA256		\
	AES256-SHA		\
	ECDHE-RSA-AES128-SHA		\
	ECDHE-RSA-AES128-SHA256		\
	AES128-GCM-SHA256		\
	ECDHE-RSA-AES128-GCM-SHA256		\
	AES256-GCM-SHA384		\
	DHE-RSA-AES128-GCM-SHA256		\
	"

TLS_TEST=a.out

pkill $TLS_TEST || echo "a.out not running.."

for i in $ciphers; do
    echo $i
    rm -rf $i
    mkdir -p $i
    cp words $i/
    echo -n "sosend.."
    ./$TLS_TEST -F -B -p 8999 -f $i/words -c $i > $i/out
    cmp  $i/words $i/words.new
    echo -n "OK:  sendfile.."

    rm -f $i/words.new $i/out
    mkdir -p $i
    ./$TLS_TEST -F -p 8999 -f $i/words -c $i > $i/out
    cmp  $i/words $i/words.new
    echo  "OK."
done

echo "SUCCESS!"




